Bug 196675 - Studio needs friend access to dlight && cnd functionality
Studio needs friend access to dlight && cnd functionality
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
7.0.1
All All
: P1 (vote)
: 7.0
Assigned To: Andrew Krasny
issues@cnd
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-14 13:28 UTC by Vladimir Voskresensky
Modified: 2011-03-31 08:50 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2011-03-14 13:28:32 UTC
1) com.sun.tools.dlight.accessor 
and 
2) com.sun.tools.cnd.accessor 
should be added as friends to dlight && cnd modules to provide uniform access from Studio to NB functionality
Comment 1 Andrew Krasny 2011-03-14 13:32:08 UTC
+ one more - com.sun.tools.nativeexecution.accessor for modules that need nativeexecution only...
Comment 2 Andrew Krasny 2011-03-14 14:15:02 UTC
Pushed to cnd-main.
Vladimir, please, review carefully. 
Changeset is http://hg.netbeans.org/cnd-main/rev/6a8927f1af5b
Comment 3 Vladimir Voskresensky 2011-03-14 14:18:26 UTC
I do not see cnd.accessor as friend of cnd modules
Comment 4 Andrew Krasny 2011-03-14 14:27:15 UTC
oops... 

addfix: http://hg.netbeans.org/cnd-main/rev/e51db87ad03b
+ one for analytics:
http://hg.netbeans.org/cnd-main/rev/86c5d2f63d83
Comment 5 Leonid Lenyashin 2011-03-14 15:58:48 UTC
Is it fixed now? Why it is still "NEW" then?
Comment 6 Quality Engineering 2011-03-15 09:48:26 UTC
Integrated into 'main-golden', will be available in build *201103150400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/6a8927f1af5b
User: Andrew Krasny <akrasny@netbeans.org>
Log: Bug #196675 - Studio needs friend access to dlight && cnd functionality
Comment 9 Quality Engineering 2011-03-31 08:50:01 UTC
Integrated into 'main-golden', will be available in build *201103310400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4eeae625c6a6
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: extra friends #196675: Studio needs friend access to dlight && cnd functionality


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo